Package com.avaya.clientservices.call.feature

## Class ServiceObservingStatusParameters

- java.lang.Object
- - com.avaya.clientservices.call.feature.ServiceObservingStatusParameters

-     public class ServiceObservingStatusParameters
      extends java.lang.Object

- - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.String` | `getDisplayText()` | When there is no error response code present, this field provides a text string that the endpoint renders on the display when responding to a feature operation.
    `java.lang.String` | `getServiceObservingExtension()` | Gets the information about the extension of the entity being observed.
    `int` | `getServiceObservingLocation()` | Gets the location number associated with the observed VDN.
    `ServiceObservingMode` | `getServiceObservingMode()` | Gets service observing mode.
    `java.lang.String` | `getServiceObservingNativeExtension()` | Gets the information about the extension of the endpoint used by the observer.
    `ServiceObservingType` | `getServiceObservingType()` | Gets service observing type.
    `boolean` | `isCoachingOptionEnabled()` | Returns whether the coaching option is enabled.
    `boolean` | `isListenOnlyOptionEnabled()` | Returns whether the listen only option is enabled.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getServiceObservingNativeExtension

          public java.lang.String getServiceObservingNativeExtension()

      Gets the information about the extension of the endpoint used by the observer.
      Returns:
        the information about the extension of the endpoint used by the observer.

    - #### getServiceObservingExtension

          public java.lang.String getServiceObservingExtension()

      Gets the information about the extension of the entity being observed.
      Returns:
        the information about the extension of the entity being observed.

    - #### getServiceObservingType

          public ServiceObservingType getServiceObservingType()

      Gets service observing type.
      Returns:
        service observing type.

    - #### getServiceObservingMode

          public ServiceObservingMode getServiceObservingMode()

      Gets service observing mode.
      Returns:
        service observing mode.

    - #### getDisplayText

          public java.lang.String getDisplayText()

      When there is no error response code present, this field provides a text string that the endpoint renders on the display when responding to a feature operation. i.e. "VDN xxx-xxxx SO" indicates that VDN (vector directory number) xxx-xxxx is being service observed.
      Returns:
        a text that the endpoint renders on the display.

    - #### getServiceObservingLocation

          public int getServiceObservingLocation()

      Gets the location number associated with the observed VDN.
      Returns:
        the location number associated with the observed VDN.

    - #### isCoachingOptionEnabled

          public boolean isCoachingOptionEnabled()

      Returns whether the coaching option is enabled.
      Returns:
        whether the coaching option is enabled.

    - #### isListenOnlyOptionEnabled

          public boolean isListenOnlyOptionEnabled()

      Returns whether the listen only option is enabled.
      Returns:
        whether the listen only option is enabled.